Bug 430320 - Why does audit 1.6.5-2 require i386 packages
Why does audit 1.6.5-2 require i386 packages
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-25 21:01 EST by Brad
Modified: 2008-02-05 07:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 07:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad 2008-01-25 21:01:52 EST
Description of problem: I went to update audit and its dependencies(audit-libs
etc) from 1.6.2-4 to 1.6.5-2. The older version did not require any i386 stuff
but yum listed a bunch or i386 stuff as dependencies for the new version.

Version-Release number of selected component (if applicable):1.6.5-2

How reproducible: yum update audit or using smart try to just update audit 64-bit

Steps to Reproduce:
Actual results: Insists that i386 packages are dependencies.

Expected results: Should install without i386 dependencies like prior versions.

Additional info:
Comment 1 Steve Grubb 2008-01-26 10:00:43 EST
It doesn't require i386 packages. On my x86_64 Fedora 8 machine:

[root@X2 ~]# yum update audit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package audit.x86_64 0:1.6.5-2.fc8 set to be updated
--> Processing Dependency: audit-libs = 1.6.5-2.fc8 for package: audit
--> Running transaction check
---> Package audit-libs.x86_64 0:1.6.5-2.fc8 set to be updated
--> Processing Dependency: audit-libs = 1.6.2-4.fc8 for package: audit-libs-python
--> Running transaction check
---> Package audit-libs-python.x86_64 0:1.6.5-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

 Package                 Arch       Version          Repository        Size 
 audit                   x86_64     1.6.5-2.fc8      updates           289 k
 audit-libs              x86_64     1.6.5-2.fc8      updates            64 k
Updating for dependencies:
 audit-libs-python       x86_64     1.6.5-2.fc8      updates            73 k

Transaction Summary
Install      0 Package(s)         
Update       3 Package(s)         
Remove       0 Package(s)         

Total download size: 425 k
Is this ok [y/N]: 

I don't see the problem. Maybe you had i386 audit packages previously installed
and it was simply updating them? I conscientiously removed all my i386 packages.
They were installed by default.
Comment 2 Steve Grubb 2008-02-05 07:53:40 EST
Hi, I'm closing this bug report since it seems to be working fine on my system.
If it were pulling in i386 packages and none were installed, you may want to see
if its being pulled in as a dependency for something else being upgraded. This
bug report would likely be a yum bug report if something really was wrong since
the audit package makes no distinction between 64 & 32 bits in its dependencies.

Note You need to log in before you can comment on or make changes to this bug.